Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.BasicInternalFrameListener

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicInternalFrameUI.BasicInternalFrameListener

protected class BasicInternalFrameUI.BasicInternalFrameListener
extends java.lang.Object
implements InternalFrameListener

Constructor Summary
`protected` | `BasicInternalFrameUI.BasicInternalFrameListener()`

Method Summary
`void` | `internalFrameActivated(InternalFrameEvent e)`
`void` | `internalFrameClosed(InternalFrameEvent e)`
`void` | `internalFrameClosing(InternalFrameEvent e)`
`void` | `internalFrameDeactivated(InternalFrameEvent e)`
`void` | `internalFrameDeiconified(InternalFrameEvent e)`
`void` | `internalFrameIconified(InternalFrameEvent e)`
`void` | `internalFrameOpened(InternalFrameEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInternalFrameUI.BasicInternalFrameListener

    protected BasicInternalFrameUI.BasicInternalFrameListener()

Method Detail

### internalFrameClosing

    public void internalFrameClosing(InternalFrameEvent e)

  Specified by:
    internalFrameClosing in interface InternalFrameListener

### internalFrameClosed

    public void internalFrameClosed(InternalFrameEvent e)

  Specified by:
    internalFrameClosed in interface InternalFrameListener

### internalFrameOpened

    public void internalFrameOpened(InternalFrameEvent e)

  Specified by:
    internalFrameOpened in interface InternalFrameListener

### internalFrameIconified

    public void internalFrameIconified(InternalFrameEvent e)

  Specified by:
    internalFrameIconified in interface InternalFrameListener

### internalFrameDeiconified

    public void internalFrameDeiconified(InternalFrameEvent e)

  Specified by:
    internalFrameDeiconified in interface InternalFrameListener

### internalFrameActivated

    public void internalFrameActivated(InternalFrameEvent e)

  Specified by:
    internalFrameActivated in interface InternalFrameListener

### internalFrameDeactivated

    public void internalFrameDeactivated(InternalFrameEvent e)

  Specified by:
    internalFrameDeactivated in interface InternalFrameListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.